Subject: Re: bug#24206: 25.1; Curly quotes generate invalid strings, leading to a segfault

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Aug 2016 21:31:40 +0300

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Tue, 16 Aug 2016 10:37:39 -0700
> 
> Let's not cut the RC now, as unfortunately that patch fails spectacularly. (I 
> didn't test it yesterday; I tested your other patch, which is obviously better.) 
> To reproduce the problem, run emacs -Q and "C-h f car RET"; Emacs will display 
> "Wrong type argument: integer-or-marker-p, nil" instead of help.

Thanks, that blunder should be fixed now.

> The attached patch to emacs-25 fixes the problem. It makes the code functionally 
> equivalent to the other of the 2 patches that you posted yesterday, and is 
> simpler. OK to install in emacs-25?

Sorry, no.  I don't want to indiscriminately convert unibyte strings
to multibyte in substitute-command-keys.